<?php

	// Global
	function serifly_separator($atts, $content = null)
	{
		return '<p class="separator"></p>';
	}
	
	add_shortcode('separator', 'serifly_separator');
	
	function serifly_no_separator($atts, $content = null)
	{
		return '<p class="negativeSeparator"></p>';
	}
	
	add_shortcode('no_separator', 'serifly_no_separator');
	
	function serifly_separator_shadow($atts, $content = null)
	{
		return '<p class="separatorShadow"></p>';
	}
	
	add_shortcode('separator_shadow', 'serifly_separator_shadow');
	
	function serifly_break($atts, $content = null)
	{
		return '<p class="break"></p>';
	}
	
	add_shortcode('break', 'serifly_break');
	
	function serifly_no_border($atts, $content = null)
	{
		return '<div class="noBorder">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('no_border', 'serifly_no_border');
	
	function serifly_list($atts, $content = null)
	{
		return '<div class="list">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('list', 'serifly_list');
	
	function serifly_tick_list($atts, $content = null)
	{
		return '<div class="listTick">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('tick_list', 'serifly_tick_list');
	
	function serifly_cross_list($atts, $content = null)
	{
		return '<div class="listCross">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('cross_list', 'serifly_cross_list');
	
	function serifly_testimonial($atts, $content = null)
	{
		if (!isset($atts['author']))
		{
			$atts['author'] = '';
		}
	
		return '<div class="testimonialBox"><p>' . do_shortcode($content) . '</p><div class="author">' . $atts['author'] . '</div></div>';
	}
	
	add_shortcode('testimonial', 'serifly_testimonial');
	
	function serifly_button($atts, $content = null)
	{
		if (!isset($atts['link']))
		{
			$atts['link'] = '';
		}
	
		return '<a class="colorButton" href="' . $atts['link'] . '"><span class="pointer">' . do_shortcode($content) . '</span></a>';
	}
	
	add_shortcode('button', 'serifly_button');
	
	function serifly_map($atts, $content = null)
	{
		if (!isset($atts['location']))
		{
			$atts['location'] = '';
		}
	
		return '<div class="location"><iframe width="960" height="200" src="http://maps.google.com/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=' . urlencode($atts['location']) . '&amp;aq=&amp;ie=UTF8&amp;hq=&amp;hnear=' . urlencode($atts['location']) . '&amp;t=m&amp;z=14&amp;output=embed&amp;iwloc=near"></iframe></div>';
	}
	
	add_shortcode('map', 'serifly_map');
	
	function serifly_info_box($atts, $content = null)
	{
		return '<div class="contentInfoBox">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('info_box', 'serifly_info_box');
	
	function serifly_navigation($atts, $content = null)
	{
		return '<div class="columnNavigation">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('navigation', 'serifly_navigation');
	
	function serifly_support_navigation($atts, $content = null)
	{
		$supportNavigation = '<ul class="columnNavigation">';
		
		if (serifly_option('support_phone_label') && serifly_option('support_phone_link'))
		{
			$supportNavigation.= '<li><a class="iconSmallPhone" href="' . serifly_option('support_phone_link') . '">' . bold_first(serifly_option('support_phone_label')) . '</a></li>';
		}
		
		if (serifly_option('support_chat_label') && serifly_option('support_chat_link'))
		{
			$supportNavigation.= '<li><a class="iconSmallChat" href="' . serifly_option('support_chat_link') . '">' . bold_first(serifly_option('support_chat_label')) . '</a></li>';
		}
		
		if (serifly_option('support_email_label') && serifly_option('support_email_link'))
		{
			$supportNavigation.= '<li><a class="iconSmallEmail" href="' . serifly_option('support_email_link') . '">' . bold_first(serifly_option('support_email_label')) . '</a></li>';
		}
		
		if (serifly_option('support_client_label') && serifly_option('support_client_link'))
		{
			$supportNavigation.= '<li><a class="iconSmallClient" href="' . serifly_option('support_client_link') . '">' . bold_first(serifly_option('support_client_label')) . '</a></li>';
		}
	
		return $supportNavigation . '</ul>';
	}
	
	add_shortcode('support_navigation', 'serifly_support_navigation');

	// Columns Percentage
	function serifly_one_half($atts, $content = null)
	{
		return '<div class="column medium">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('one_half', 'serifly_one_half');
	
	function serifly_one_half_last($atts, $content = null)
	{
		return '<div class="column medium last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('one_half_last', 'serifly_one_half_last');
	
	function serifly_one_third($atts, $content = null)
	{
		return '<div class="column small">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('one_third', 'serifly_one_third');
	
	function serifly_one_third_last($atts, $content = null)
	{
		return '<div class="column small last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('one_third_last', 'serifly_one_third_last');
	
	function serifly_two_third($atts, $content = null)
	{
		return '<div class="column large">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('two_third', 'serifly_two_third');
	
	function serifly_two_third_last($atts, $content = null)
	{
		return '<div class="column large last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('two_third_last', 'serifly_two_third_last');
	
	function serifly_one_fourth($atts, $content = null)
	{
		return '<div class="column tiny">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('one_fourth', 'serifly_one_fourth');
	
	function serifly_one_fourth_last($atts, $content = null)
	{
		return '<div class="column tiny last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('one_fourth_last', 'serifly_one_fourth_last');
	
	// Columns Names
	function serifly_medium($atts, $content = null)
	{
		return '<div class="column medium">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('medium', 'serifly_medium');
	
	function serifly_medium_last($atts, $content = null)
	{
		return '<div class="column medium last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('medium_last', 'serifly_medium_last');
	
	function serifly_small($atts, $content = null)
	{
		return '<div class="column small">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('small', 'serifly_small');
	
	function serifly_small_last($atts, $content = null)
	{
		return '<div class="column small last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('small_last', 'serifly_small_last');
	
	function serifly_large($atts, $content = null)
	{
		return '<div class="column large">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('large', 'serifly_large');
	
	function serifly_large_last($atts, $content = null)
	{
		return '<div class="column large last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('large_last', 'serifly_large_last');
	
	function serifly_tiny($atts, $content = null)
	{
		return '<div class="column tiny">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('tiny', 'serifly_tiny');
	
	function serifly_tiny_last($atts, $content = null)
	{
		return '<div class="column tiny last">' . do_shortcode($content) . '</div><div class="clearfix"></div>';
	}
	
	add_shortcode('tiny_last', 'serifly_tiny_last');
	
	// Headers
	function serifly_hosting_header_shared($atts, $content = null)
	{
		return '<div class="hostingHeader shared">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('hosting_header_shared', 'serifly_hosting_header_shared');
	
	function serifly_hosting_header_virtual($atts, $content = null)
	{
		return '<div class="hostingHeader virtual">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('hosting_header_virtual', 'serifly_hosting_header_virtual');
	
	function serifly_hosting_header_dedicated($atts, $content = null)
	{
		return '<div class="hostingHeader dedicated">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('hosting_header_dedicated', 'serifly_hosting_header_dedicated');
	
	// Tabs
	function serifly_tab_wrapper($atts, $content = null)
	{
		return '<div class="tabWrapper">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('tab_wrapper', 'serifly_tab_wrapper');
	
	function serifly_tab($atts, $content = null)
	{
		if (!isset($atts['label']))
		{
			$atts['label'] = '';
		}
	
		return '<div class="tabContent"><div class="label">' . $atts['label'] . '</div>' . do_shortcode($content) . '<div class="clearfix"></div></div>';
	}
	
	add_shortcode('tab', 'serifly_tab');
	
	// Pricing Tables
	function serifly_pricing_table($atts, $content = null)
	{		
		return '<div class="hostingPlans clearfix">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('pricing_table', 'serifly_pricing_table');
	
	function serifly_pricing_table_header($atts, $content = null)
	{	
		if (!isset($atts['label']))
		{
			return '<div class="heading">' . do_shortcode($content) . '</div>';
		}
		else
		{
			return '<div class="heading">' . do_shortcode($content) . '<br /><span class="label">' . $atts['label'] . '</span></div>';	
		}
	}
	
	add_shortcode('pricing_table_header', 'serifly_pricing_table_header');
	
	function serifly_pricing_key_features($atts, $content = null)
	{		
		return '<div class="keyFeatures">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('pricing_table_key_features', 'serifly_pricing_key_features');
	
	function serifly_pricing_additional_features($atts, $content = null)
	{		
		return '<div class="additionalFeatures">' . do_shortcode($content) . '</div>';
	}
	
	add_shortcode('pricing_table_additional_features', 'serifly_pricing_additional_features');
		
	function serifly_pricing_table_price($atts, $content = null)
	{	
		if (!isset($atts['label']))
		{
			return '<div class="price"><strong>' . do_shortcode($content) . '</strong></div>';
		}
		else
		{
			return '<div class="price"><strong>' . do_shortcode($content) . '</strong><br/><span>' . $atts['label'] . '</span></div>';	
		}
	}
	
	add_shortcode('pricing_table_price', 'serifly_pricing_table_price');
	
	// Icons
	function serifly_icon_network($atts, $content = null)
	{		
		return '<span class="iconMediumNetwork">' . do_shortcode($content) . '</span>';
	}
	
	add_shortcode('icon_network', 'serifly_icon_network');
	
	function serifly_icon_cog($atts, $content = null)
	{		
		return '<span class="iconMediumCog">' . do_shortcode($content) . '</span>';
	}
	
	add_shortcode('icon_cog', 'serifly_icon_cog');
	
	function serifly_icon_stats($atts, $content = null)
	{		
		return '<span class="iconMediumStats">' . do_shortcode($content) . '</span>';
	}
	
	add_shortcode('icon_stats', 'serifly_icon_stats');
	
	function serifly_icon_help($atts, $content = null)
	{		
		return '<span class="iconMediumHelp">' . do_shortcode($content) . '</span>';
	}
	
	add_shortcode('icon_help', 'serifly_icon_help');
	
	function serifly_icon_server($atts, $content = null)
	{		
		return '<span class="iconMediumServer">' . do_shortcode($content) . '</span>';
	}
	
	add_shortcode('icon_server', 'serifly_icon_server');
	
	function serifly_icon_control_panel($atts, $content = null)
	{		
		return '<span class="iconMediumControlPanel">' . do_shortcode($content) . '</span>';
	}
	
	add_shortcode('icon_control_panel', 'serifly_icon_control_panel');
	
	// Tables
	function serifly_table($atts, $content = null)
	{		
		return '<div class="tableWrapper"><table>' . do_shortcode($content) . '</table></div>';
	}
	
	add_shortcode('table', 'serifly_table');
	
	function serifly_table_row($atts, $content = null)
	{		
		return '<tr>' . do_shortcode($content) . '</tr>';
	}
	
	add_shortcode('table_row', 'serifly_table_row');
	
	function serifly_table_cell($atts, $content = null)
	{		
		return '<td>' . do_shortcode($content) . '</td>';
	}
	
	add_shortcode('table_cell', 'serifly_table_cell');
	
	function serifly_table_cell_header($atts, $content = null)
	{		
		return '<th>' . do_shortcode($content) . '</th>';
	}
	
	add_shortcode('table_cell_header', 'serifly_table_cell_header');
	
	function serifly_table_cell_price($atts, $content = null)
	{	
		if (!isset($atts['label']))
		{
			return '<td class="pricing"><strong>' . do_shortcode($content) . '</strong></td>';
		}
		else
		{
			return '<td class="pricing"><strong>' . do_shortcode($content) . '</strong><br /><span>' . $atts['label'] . '</span></td>';	
		}
	}
	
	add_shortcode('table_cell_price', 'serifly_table_cell_price');
	
?>