<?php

	/*
		Plugin Name: Support Navigation Widget
		Plugin URI: http://serifly.com
		Description: Displays the support navigation from your content header.
		Author: Serifly
		Version: 1.0
		Author URI: http://serifly.com
	*/

	class serifly_widget_support extends WP_WIDGET
	{
		function serifly_widget_support()
		{
			$widget_ops = array('classname' => 'supportWidget', 'description' => 'Displays the support navigation from your content header. Change the values in the theme options panel.' );
			$this->WP_Widget('serifly_widget_support', 'Support Navigation', $widget_ops);
		}
		
		function form($instance)
		{
			$instance = wp_parse_args((array)$instance, array('title' => 'Support Navigation'));
			$title = $instance['title'];
			
			// HTML Starts
			?>
						
			<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'serifly'); ?>: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
			
			<?php
			// HTML Ends			
		}
		
		function update($new_instance, $old_instance)
		{
			$instance = $old_instance;
			$instance['title'] = $new_instance['title'];
			return $instance;
		}
		
		function widget($args, $instance)
		{
			extract($args, EXTR_SKIP);
		 
		    echo $before_widget;
		    $title = empty($instance['title']) ? ' ' : apply_filters('serifly_widget_support', $instance['title']);
		 
		    if (!empty($title))
		    {
		    	echo $before_title . $title . $after_title;;
		 	}
		 
		 	// HTML Starts
		 	?>
		 	
			<ul>
				<?php if (serifly_option('support_phone_label') && serifly_option('support_phone_link')): ?>
				<li><a class="iconSmallPhone" href="<?php echo serifly_option('support_phone_link'); ?>"><?php echo bold_first(serifly_option('support_phone_label')); ?></a></li>
				<?php endif; ?>
				<?php if (serifly_option('support_chat_label') && serifly_option('support_chat_link')): ?>
				<li><a class="iconSmallChat" href="<?php echo serifly_option('support_chat_link'); ?>"><?php echo bold_first(serifly_option('support_chat_label')); ?></a></li>
				<?php endif; ?>
				<?php if (serifly_option('support_email_label') && serifly_option('support_email_link')): ?>
				<li><a class="iconSmallEmail" href="<?php echo serifly_option('support_email_link'); ?>"><?php echo bold_first(serifly_option('support_email_label')); ?></a></li>
				<?php endif; ?>
				<?php if (serifly_option('support_client_label') && serifly_option('support_client_link')): ?>
				<li><a class="iconSmallClient" href="<?php echo serifly_option('support_client_link'); ?>"><?php echo bold_first(serifly_option('support_client_label')); ?></a></li>
				<?php endif; ?>
			</ul>
		 	
		 	<?php
		 	// HTML Ends
		 
		    echo $after_widget;
		}
	}
	
	add_action('widgets_init', create_function('', 'return register_widget("serifly_widget_support");'));

?>